Subject: Tuscon Electric Power Company
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 5 May 2000 08:52:00 -0700 (PDT)

Kim:  Thanks for your call.  Legal received credit for Tuscon on 5/1/00 from 
Ed Sacks.  Susan Flynn is preparing the ISDA agreement to send to the 
counterparty.  Let me know if you have any other questions. Sara

Susan:  Please let Kim know when the draft will be sent.  Thanks.  Sara